You are here    Forums    PlayOnLinux    Defiance nl sv ru pl es fr

The forum

Defiance

Trying to run new Defiance game

Author Replies
Jump to the page: 1 - 2
steve723 Friday 12 July 2013 at 0:48
steve723 Anonymous

I installed to a new VD using default playonlinuxsettings and installing IE8. Patcher displays sort of there is a blank white box in the center and a hidden log in screen. clicking the log in button generates a wine http error. Here is the debug log:

[07/11/13 15:38:08] - Running wine- Patcher.exe (Working directory : /home/steve7233/.PlayOnLinux/wineprefix/Defiance/drive_c/users/steve7233/Local Settings/Application Data/Defiance)
fixme:ntdll:NtConnectPort (0x5b0c1170,L"\\\\ThemeApiPort",0x33ee0c,(nil),(nil),(nil),0x33ee1c,0x33ee18),stub!
fixme:ntdll:NtConnectPort (0x5b0c1170,L"\\\\ThemeApiPort",0x33e7ec,(nil),(nil),(nil),0x33e7fc,0x33e7f8),stub!
fixme:ntdll:NtConnectPort (0x5b0c1170,L"\\\\ThemeApiPort",0x32fb4c,(nil),(nil),(nil),0x32fb5c,0x32fb58),stub!
fixme:thread:GetThreadPreferredUILanguages 52, 0x32f9a8, 0x32fc24 0x32f9b0
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:win:EnumDisplayDevicesW ((null),0,0x32be80,0x00000000), stub!
fixme:win:EnumDisplayDevicesW ((null),0,0x32be80,0x00000000), stub!
fixme:thread:GetThreadPreferredUILanguages 52, 0x32bf9c, 0x32c218 0x32bfa4
fixme:thread:NtQueryInformationThread Cannot get kerneltime or usertime of other threads
fixme:dciman:DCICreatePrimary 0x80066 0x9a12ac

Any ideas? Perhapes one or more .dll files?

Microprocessor = Intel I7 Quad core 4G RAM DDR@2 Kubuntu 14.04 Trusty Tar NVIDIA GTX 280 OC, Driver = 340.24.
steve723 Friday 12 July 2013 at 3:24
steve723 Anonymous

What does HTTP response code 0 mean? (wine)

Microprocessor = Intel I7 Quad core 4G RAM DDR@2 Kubuntu 14.04 Trusty Tar NVIDIA GTX 280 OC, Driver = 340.24.
booman Saturday 13 July 2013 at 1:37
booman

Looks like the patcher may cause some issues as seen on WineHQs

I've seen NtConnectPort before when trying to use Outlook. Try installing these libraries:
1. Internet Explorer 8 (also installs Service Pack 3)
2. vcrun2005
3. corefonts
4. winhttp
5. wininet
6. msls31
7. d3dx9
8. gdiplus

I threw in vcrun2005, vcrun2008, vcrun2010 or another PREFI

which version of Wine are you using? Wine 1.5.26 looks like it runs (noted on WineHQs)
booman Saturday 13 July 2013 at 1:38
booman

setting "virtual desktop" in Wine Configuration also seems to help
Ronin DUSETTE Saturday 13 July 2013 at 1:52
Ronin DUSETTE
Admin

Just FYI, most apps will only use 1 VCRUN, not multiple. Though, I doubt it will cause issues, but its for sure something to be aware of.

www.dusette.net
booman Saturday 13 July 2013 at 1:53
booman

I noticed that when I installed vcrun2005 and then try to install vcrun2008 or 2010 later, it pops up and says they are allready installed
Ronin DUSETTE Saturday 13 July 2013 at 2:23
Ronin DUSETTE
Admin

Thats actually just a bug in POL. It can be ignored, and is already fixed in the development version.

www.dusette.net
petch Saturday 13 July 2013 at 8:10
petch
Developer

@booman: I thought I fixed that 3 weeks ago, does it still happen?
Ronin DUSETTE Saturday 13 July 2013 at 8:34
Ronin DUSETTE
Admin

It doesnt happen to me anymore.

www.dusette.net
booman Saturday 13 July 2013 at 14:32
booman

@booman: I thought I fixed that 3 weeks ago, does it still happen?

Quote from petch
I probably have an old vcrun in my resources folder.
petch Saturday 13 July 2013 at 14:48
petch
Developer

They didn't change. What was faulty were the "function" install scripts for those packages.
When called interactively from PoL/PoM GUI they always receive a "--force" parameter so all functions try harder to install or reinstall themselves, under the assumption that the user knows what (s)he wants.
The scripts had a logical flaw: if they detected that they had to install something, if they were called with "--force" they'd display a "forced installation" message. Hence, when called interactively.
I modified the scripts so that the message would only display if the scripts detect they have to install something, but something is already present (the only cause for such condition is because it is forced).
It should be noted that this had no impact on scripts effectiveness, it's just that previously the message didn't exactly reflect what was going on.
booman Saturday 13 July 2013 at 14:59
booman

how do I update the scripts for PlayOnLinux?
petch Saturday 13 July 2013 at 15:18
petch
Developer

They're always downloaded from the server before use, so you have nothing to update.
booman Saturday 13 July 2013 at 15:22
booman

So as soon as I launch PlayOnLinux the scripts are updated?

By the way, it must have worked because this morning I installed vcrun2005, then after that vcrun2008 and not pop up telling me its already installed.

Thanks for your help
Sorry to digress from Defiance
steve723 Saturday 13 July 2013 at 16:13
steve723 Anonymous

Looks like the patcher may cause some issues as seen on WineHQs

I've seen NtConnectPort before when trying to use Outlook. Try installing these libraries:
1. Internet Explorer 8 (also installs Service Pack 3)
2. vcrun2005
3. corefonts
4. winhttp
5. wininet
6. msls31
7. d3dx9
8. gdiplus

I threw in vcrun2005, vcrun2008, vcrun2010 or another PREFI

which version of Wine are you using? Wine 1.5.26 looks like it runs (noted on WineHQs)

Quote from booman


Tried everything above. Nothing worked. winhttp is not on the list so, I could not try that I looked several times! Was it removed from playonlinux? using playonlinux version 4.2.1.

Microprocessor = Intel I7 Quad core 4G RAM DDR@2 Kubuntu 14.04 Trusty Tar NVIDIA GTX 280 OC, Driver = 340.24.
Ronin DUSETTE Saturday 13 July 2013 at 16:22
Ronin DUSETTE
Admin

You shouldn't need win http. Installing IE should take care of most connection issues.

www.dusette.net
steve723 Saturday 13 July 2013 at 17:56
steve723 Anonymous

You shouldn't need win http. Installing IE should take care of most connection issues.

Quote from DJYoshaBYD


Unfortunatly installing IE8 nor Firefox version 22 did nothing. It still can't connect!

Microprocessor = Intel I7 Quad core 4G RAM DDR@2 Kubuntu 14.04 Trusty Tar NVIDIA GTX 280 OC, Driver = 340.24.
Ronin DUSETTE Saturday 13 July 2013 at 19:03
Ronin DUSETTE
Admin

So, I noticed that it usually needs IE and WININET to get online. IE should take care of it, but sometimes it needs more. You also need winbind installed on your linux system. Again, this is something that we need FULL computer specs, linux version, GFX card and driver, and debug out.

I just told you this in the last thread I responded to that we need all of that, as per the forum rules and stickies. READ THEM AND FOLLOW THEM, or we cannot help.

It still can't connect!

Quote


Please stop using exclamation points, as that is the equivalent of yelling, and there is no reason to be rude or yelling. Im not going to ask again, steve723.

www.dusette.net
Ronin DUSETTE Saturday 13 July 2013 at 19:21
Ronin DUSETTE
Admin

fixme:ntdll:NtConnectPort (0x5b0c1170,L"\\\\ThemeApiPort",0x33ee0c,(nil),(nil),(nil),0x33ee1c,0x33ee18),stub!
fixme:ntdll:NtConnectPort (0x5b0c1170,L"\\\\ThemeApiPort",0x33e7ec,(nil),(nil),(nil),0x33e7fc,0x33e7f8),stub!
fixme:ntdll:NtConnectPort (0x5b0c1170,L"\\\\ThemeApiPort",0x32fb4c,(nil),(nil),(nil),0x32fb5c,0x32fb58),stub!

Quote


fixme's are usually not a problem, so I believe its something else.

post the information requested, and we will figure it out.

www.dusette.net
booman Monday 15 July 2013 at 3:43
booman

It may be a good idea to start over with a new install and try again.
Sometimes something was missing during the first install or maybe too many libraries has caused a conflict.
Let us know what you find out.

DJYoshBYD you rock!!!
You are here: Index > PlayOnLinux > Defiance